wells shapefile wells_20161220_Giulio.zip has some string values for *_id fields
Description

All *_id fields must contain only a number, linked to the corresponding table (eg: res_id=007 -> entry in the resident table with id=007

and name="James Bond").

In the shapefile wells_20161220_Giulio.zip, res_id is set for some feature to: "Certitude Community", "Djaima Windmill", "Gaia", etc.

History

#1 - 21/12/2016 12:37 - Giulio Di Anastasio

Dear Philippe,

yes you are right, in the res_id field I entered some string instead of numbers, because I did not know who is in charge.

Just for the sake of it, I will enter some numbers which are not corresponding to the reality, but just to try that it is working.

When I will have these data, I will update with the real ones.

Or do you prefer me to take out these wells, and just proceed with the ones with final data?

Kindly let me know

Giulio

#2 - 21/12/2016 12:47 - Philippe May

Better you leave these fields empty.

That might be a bit of pain now, but i think it's better maintaining strict integrity clauses of the database: it should not accept a res_id not matching a

valid id in the residents table.

So i'm suggesting to update the residents csv file in the same time you correct the shapefile.

Ultimately, QGis might have some provision to help you, querying the database and the residents table.

Very quickly, for further reference, http://gis.stackexchange.com/questions/26328/one-to-many-relationship-in-qgis-with-postgis suggests that SQL

views can do the trick.

#3 - 26/12/2016 15:23 - Giulio Di Anastasio

- Status changed from New to Closed
